显示器applications u唱歌Amazon开发工具包指标 - Amazon CloudWatch
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

显示器applications u唱歌Amazon开发工具包指标

企业客户可以 CloudWatch 代理与Amazon用于企业 Support 的 SDK 指标(SDK 指标),以从Amazon主机和客户端上的软件开发工具包。这些指标与Amazon企业级 Support。SDK 指标可以帮助您收集有关应用程序连接到Amazon服务而不向您的代码添加自定义分析,并减少与共享日志和数据所需的手动工作。Amazon Web Services Support。

重要

开发工具包指标仅可供具有企业级 Support 订阅的客户使用。有关更多信息,请参阅 。Amazon CloudWatch Support 中心

您可以将 SDK 指标与任何直接调用Amazon服务,并且使用Amazon开发工具包是以下部分中列出的版本之一。

SDK 指标监控由Amazon开发工具包,并使用一个代 CloudWatch,此代理与客户端应用程序在相同的环境中运行。以下部分介绍使用开发 CloudWatch 具包指标数据所需的步骤。有关您在开发工具包中需要配置的内容的信息,请参阅您的开发工具包文档。

支持v。擦除

要使用开发工具包指标,您必须使用一个版本,此代理必须使用 1.207573.0 或更高版本。如果您已在运行 CloudWatch 代理,则可以在以下文件中找到该版本。

  • Linux: /opt/aws/amazon-cloudwatch-agent/bin/CWAGENT_VERSION

  • Windows Server:C:\Program Files\Amazon\AmazonCloudWatchAgent\CWAGENT_VERSION

您还可以使用命令行查找代理版本。在 Linux 上,输入以下命令。

/opt/aws/amazon-cloudwatch-agent/bin/amazon-cloudwatch-agent -version

在 Windows 服务器上,输入以下命令。

& 'C:\Program Files\Amazon\AmazonCloudWatchAgent\amazon-cloudwatch-agent.exe' -version

此外,您必须使用以下版本的 Amazon 开发工具包之一。

支持的开发工具包 开发工具包指标文档

Amazon CLI 1.16.84 或更高版本

开发工具包指标

有关的说明Amazon CLI安装与 Python 开发工具包(Boto3)相同。

Amazon SDK for C++ 1.7.47 或更高版本

开发工具包指标

Amazon SDK for Go 1.25.18 或更高版本

中的开发工具包指标 Amazon SDK for Go

Amazon SDK for Java 1.11.523 或更高版本(尚不支持 Amazon SDK for Java 2.x)

启用 Amazon SDK Metrics for Enterprise Support

Amazon适用于 Node.js 2.387 或更高版本中 JavaScript 的 SDK for JavaScript in Node.js

中的开发工具包指标 Amazon SDK for JavaScript

Amazon SDK for .NET 3.3.440 或更高版本

启用开发工具包指标

Amazon SDK for PHP 3.85.0 或更高版本

中的开发工具包指标Amazon SDK for PHP版本 3

Amazon SDK for Python (Boto3) 1.9.78 或更高版本

开发工具包指标

Amazon SDK for Ruby 3.45.0 或更高版本

中的开发工具包指标 Amazon SDK for Ruby